package egovframework.vo;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class RoadVertexArrVO {

    private String atrd_id;
    private String atrd_nm;
    private String drct_cd;
    private int road_ord;
    private int ifsc_ord;
    private int link_ord;
    private long road_id;
    private String road_nm;
    private String strt_nm_node;
    private String end_nm_node;
    private int sect_lngt;
    private int levl;
    private String x_crdn;
    private String y_crdn;
    private double x_crdn_min;
    private double x_crdn_max;
    private double y_crdn_min;
    private double y_crdn_max;
    private String cmtr_grad_cd;
    private int sped;
    private int trvl_hh;
    private String stat_dt;
    private int tfvl;
    //private List<RoadVertexArrVO> roadVertexArr;

	/*public List<RoadVertexArrVO> getRoadVertexArr() {
		List<RoadVertexArrVO> tempList = new ArrayList<RoadVertexArrVO>();
		tempList.addAll(roadVertexArr);
		return roadVertexArr;
	}
	public void setRoadVertexArr(List<RoadVertexArrVO> roadVertexArr) {
		//this.roadVertexArr=roadVertexArr;

		this.roadVertexArr = new ArrayList<RoadVertexArrVO>();
		for(int i=0;i<roadVertexArr.size();i++){
			this.roadVertexArr.add(roadVertexArr.get(i));
		}*/
    //}
}
